#include "picmapgen.h"
#include <list>
#include <algorithm>
#include "pisysdep.h"
#include PICMAPNTV_H
#include PICMAP_H



PIColorMapGen::PIColorMapGen()
{
  mNom = "";
  mNCol = 0;
  mType = -1;
  ReverseColorIndex(false);
}
PIColorMapGen::PIColorMapGen(int id, int nc, string const& nom)
{
  mNom = nom;
  mNCol = nc;
  mType = id;
  ReverseColorIndex(false);  
}


PIColorMapGen::~PIColorMapGen()
{
}

void PIColorMapGen::CopyFromGen(PIColorMapGen* m)
{
  mNom = m->mNom;
  mNCol = m->mNCol;
  mType = m->mType;
}


